Skip to main content
GET
Batch Get Conversations

Query Parameters

ids
string<uuid>[]
required

Response

(ConversationInfo ยท object | null)[]

Successful Response

Information about a conversation running locally without a Runtime sandbox.

id
string<uuid>
required

Unique conversation ID

agent
Agent ยท object
required

The agent running in the conversation. This is persisted to allow resuming conversations and check agent configuration to handle e.g., tool changes, LLM changes, etc.

workspace
LocalWorkspace ยท object
required

Workspace used by the agent to execute commands and read/write files. Not the process working directory.

persistence_dir
string | null
default:workspace/conversations

Directory for persisting conversation state and events. If None, conversation will not be persisted.

max_iterations
integer
default:500

Maximum number of iterations the agent can perform in a single run.

stuck_detection
boolean
default:true

Whether to enable stuck detection for the agent.

execution_status
enum<string>
default:idle

Enum representing the current execution state of the conversation.

Available options:
idle,
running,
paused,
waiting_for_confirmation,
finished,
error,
stuck,
deleting
confirmation_policy
AlwaysConfirm ยท object
security_analyzer
GraySwanAnalyzer ยท object

Optional security analyzer to evaluate action risks.

activated_knowledge_skills
string[]

List of activated knowledge skills name

blocked_actions
Blocked Actions ยท object

Actions blocked by PreToolUse hooks, keyed by action ID

blocked_messages
Blocked Messages ยท object

Messages blocked by UserPromptSubmit hooks, keyed by message ID

stats
object

Conversation statistics for tracking LLM metrics

secret_registry
SecretRegistry ยท object

Registry for handling secrets and sensitive data

agent_state
Agent State ยท object

Dictionary for agent-specific runtime state that persists across iterations. Agents can store feature-specific state using string keys. To trigger autosave, always reassign: state.agent_state = {**state.agent_state, key: value}. See https://docs.openhands.dev/sdk/guides/convo-persistence#how-state-persistence-works

title
string | null

User-defined title for the conversation

metrics
MetricsSnapshot ยท object | null

A snapshot of metrics at a point in time.

Does not include lists of individual costs, latencies, or token usages.

created_at
string<date-time>
updated_at
string<date-time>